Awesome Open Source
Awesome Open Source
Obfuscator icon

Obfuscator

A Craft CMS 3 plugin that adds a Twig filter to obfuscate emails or any other content using Hivelogic Enkoder.

This plugin uses Standalone PHPEnkoder.

Contents

Usage

The following Twig snippet

{% filter enkode_emails %}
    Reach us on [email protected] or
    <a href="mailto:[email protected]">here</a>.
{% endfilter %}

will result in HTML where both the plain text email, and the mailto: anchor tag are recognised as emails and obfuscated. It will result in something like this (re-formatted for readability):

Reach us on

<span id="enkoder_1_2033799978">email hidden; JavaScript is required</span>
<script id="script_enkoder_1_2033799978" type="text/javascript"> /* <!-- */
function hivelogic_enkoder_1_2033799978() {  } hivelogic_enkoder_1_2033799978();
/* --> */ </script>

or

<span id="enkoder_0_1540754146">email hidden; JavaScript is required</span>
<script id="script_enkoder_0_1540754146" type="text/javascript"> /* <!-- */
function hivelogic_enkoder_0_1540754146() {  } hivelogic_enkoder_0_1540754146();
/* --> */ </script>.

In addition to the enkode_emails filter, Obfuscator comes with a bunch of additional filters for more fine grained targeting of what to obfuscate.

{{ 'Reach us on [email protected] or <a href="mailto:[email protected]">here</a>.'|enkode_emails }}

{{ '<a href="mailto:[email protected]">Contact Us</a>'|enkode_mailtos }}

{{ 'Contact us at [email protected]'|enkode_plaintext_emails }}

{{ 'I dont want spam bots to read this.'|enkode }}

{{ 'If you dont have JavaScript, youll see a helpful message.'|enkode('JavaScript is required to view this message.') }}

Installation

You can install this plugin from the Plugin Store or with Composer.

From the Plugin Store

Go to the Plugin Store in your projects Control Panel and search for Obfuscator. Then click on the Install button in its modal window.

Using Composer

Open your terminal and run the following commands:

# go to the project directory
cd /path/to/project

# tell composer to use the plugin
composer require miranj/craft-obfuscator

# tell Craft to install the plugin
./craft install/plugin obfuscator

Requirements

This plugin requires Craft CMS 3.0.0 or later. The Craft 2 version is availabe in the v0 branch.


Brought to you by Miranj



Alternative Project Comparisons
Related Awesome Lists
Top Programming Languages
Top Projects

Get A Weekly Email With Trending Projects For These Topics
No Spam. Unsubscribe easily at any time.
Php (285,994
Plugin (113,841
Email (21,334
Content Management System (13,991
Twig (3,363
Craftcms (2,661
Obfuscator (517
Obfuscate (452
Craft Plugin (412
Twig Filter (12